(defun acker (n x y)
   (cond
      ((= n 0) (+ x 1))
      ((and (= n 1) (= y 0)) x)
      ((and (= n 2) (= y 0)) 0)
      ((and (= n 3) (= y 0)) 1)
      ((and (> n 3) (= y 0)) 2)
      (t (acker (1- n) (acker n x (1- y)) x))
   )
)


(defun nsqrt (r)
    (prog (r0 r1)
        (setq r0 1.0)
    loop
        (setq r1 (/ (+ r0 (/ r r0)) 2.0))
        (cond 
            ((= r1 r0) (return r1))
            ((= r1 (/ r r0)) (return r1))
            (t (setq r0 r1) (go loop))
        )
    )
)


(defmacro rbr(e l)
    `(prog  (i l1)
         (setq i 1)
         (setq l1 ,l)
     loop    
         (cond
              ((null l1) (return 0))
              ((equal ,e (car l1)) (return i))
              (t (setq i (1+ i))(setq l1 (cdr l1))(go loop))
         )
     )
)
