(defun BrDel(a)
   (prog (i n)
      (setq i 2)
      (setq n 1)
loop
      (cond
         ((= i a) (setq n (1+ n)) (return n))
         (T (setq k (rem a i))
            (cond ((= k 0) (setq n (1+ n))))
            (setq i (1+ i))
            (go loop)
         )
      )
   )
)


(defun Delioci(a b)
   (prog (m d i)
      (setq i a)
      (setq m a)
      (setq d (BrDel a))
loop
      (setq i (1+ i))
      (cond  
         ((> i b) (princ "Broj ")(princ m)(princ " ima ") (return d))
         ((< d (BrDel i)) (setq d (BrDel i)) (setq m i))
      )
      (go loop)
   )
)


(defun ZbirPol (P Q)
   (list (Zbir (car P) (car Q)) (Zbir (cadr P) (cadr Q))))

(defun Zbir (L1 L2)
   (cond 
      ((null L1) L2)
      ((null L2) L1)
      (t (cons (+ (car L1) (car L2)) (Zbir (cdr L1) (cdr L2))))
   )
)


(defun ZbirSt(S)
   (cond
      ((null S) 0)
      ((equal (car S) nil) 0)
      (t (+ (car s) (ZbirSt (cadr S)) (ZbirSt (caddr S))))
   )
)


(defmacro Cinioci(x)
   `(prog (y j)
      (setq y '())
      (setq j 2)
   loop
      (cond 
         ((= ,x 1) (return y))
         ((= (rem ,x j) 0) (setq y (append y (list j)))
                          (setq ,x (deli ,x j)))
      )
      (setq j (1+ j))
      (go loop)
   )
)

(defun deli(x y)
   (cond
      ((= (rem x y) 0)(deli (/ x y) y))
      (t x)
   )
)
